Get aggregated bookkeeping category groups
curl --request GET \
--url https://external.pleo.io/v1/bookkeeping-category-aggregations \
--header 'Authorization: Bearer <token>'import requests
url = "https://external.pleo.io/v1/bookkeeping-category-aggregations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://external.pleo.io/v1/bookkeeping-category-aggregations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"archived": false,
"categories": [
{
"account": {
"archived": false,
"code": "EX123",
"externalId": "EXT127",
"id": "123e4567-e89b-12d3-a456-426614174004",
"name": "Example Account",
"taxCodeExternalId": "MY_TAX"
},
"archived": false,
"id": "123e4567-e89b-12d3-a456-426614174002",
"name": "Example Category",
"taxCodeId": "123e4567-e89b-12d3-a456-426614174003"
}
],
"companyId": "123e4567-e89b-12d3-a456-426614174001",
"id": "123e4567-e89b-12d3-a456-426614174000",
"name": "Example Category Group",
"type": "OTHER"
}
]
}Bookkeeping Category Aggregations
Get aggregated bookkeeping category groups
Get a list of aggregated bookkeeping category groups.
GET
/
v1
/
bookkeeping-category-aggregations
Get aggregated bookkeeping category groups
Authorizations
bearerAuthbasicAuth
JWT Bearer token authentication. Include the token in the Authorization header as: Bearer <token>
Query Parameters
The company ID
Filter by archived status
Whether to include archived bookkeeping categories
Response
200 - application/json
Aggregated bookkeeping category groups retrieved successfully
Show child attributes
Show child attributes
Was this page helpful?